import { useFilterStore } from "../stores/filterStore.ts";
import { eventBus } from "../utils/eventBus.ts";
import { storeToRefs } from "pinia";

export const useFilterNotifier = () => {
    const filterStore = storeToRefs(useFilterStore());

    const applyFilters = () => {
        eventBus.emit('filtersApplied', filterStore);
    }

    return {
        ...filterStore,
        applyFilters
    }
};