import { ref } from 'vue'

export class ContentModal {}

const visible = ref(false);
const modalContent = ref<ContentModal | null>(null);

export const useModal = () => {
    const getVisibility = () => visible.value;
    const getModalContent = () => modalContent.value;
    const show = (modal: ContentModal) => {
        modalContent.value = modal;
        visible.value = true;
    }
    const hide = () => {
        modalContent.value = null;
        visible.value = false;
    }
    return { getVisibility, getModalContent, show, hide };
}
